Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

Parámetros de la ruta de acceso

agent_name string requerido

The name of the agent to create a session for.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref requerido

Version indicator determining which agent version backs the session.

Uno de los siguientes:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum requerido

Discriminator value for version_ref.

version_ref
agent_version string requerido

The agent version identifier returned by the agent version APIs.

Respuestas

The request has succeeded and a new resource has been created as a result.

Cuerpo

Content-Type: application/json
agent_session_id string requerido

The session identifier.

version_indicator version_ref requerido

Version indicator determining which agent version backs the session.

Uno de los siguientes:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum requerido

Discriminator value for version_ref.

version_ref
agent_version string requerido

The agent version identifier returned by the agent version APIs.

status string | enum requerido

The status of an agent session.

Cualquiera de las siguientes:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer requerido

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer requerido

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer requerido

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

Respuesta

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026